Bug 44447 - Android symbolication uses wrong property
Summary: Android symbolication uses wrong property
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Android (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Mac OS
: High normal
Target Milestone: 4.3.0 (C9)
Assignee: dean.ellis
URL:
Depends on:
Blocks:
 
Reported: 2016-09-16 21:34 UTC by Mikayla Hutchinson [MSFT]
Modified: 2016-12-02 11:11 UTC (History)
8 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Mikayla Hutchinson [MSFT] 2016-09-16 21:34:58 UTC
Xamarin.Android uses AndroidManagedSymbols to control whether an mSYM is produced. Since it's disabled by default, it needs a property in the project file to enable it, so affects templates too.

This does not match the final spec, which uses a MonoSymbolArchive property instead. MonoSymbolArchive should default to true for symbolicatable, releaseable builds - i.e. when there are debug symbols and the shared runtime is not in use.

Basically, users shouldn't have to ever see MonoSymbolArchive in their csproj, it only exists in case users need to disable it. This also means that existing projects will get symbols.
Comment 1 Mikayla Hutchinson [MSFT] 2016-09-16 21:36:34 UTC
Marking high as the AndroidManagedSymbols should go away ASAP.

The value should be removed from the templates as well.
Comment 5 Jonathan Pryor 2016-09-28 21:10:38 UTC
Fixed in:

https://github.com/xamarin/xamarin-android/commit/4effe072f59df250a120a464ac8e9da039228976
monodroid/b6aa7dae
Comment 6 narayanp 2016-09-29 14:24:55 UTC
I am trying to verify this issue with Xamarin.Android 7.0.99-90 and observed that the AndroidManagedSymbols property still exist in the csproj file of newly created project.

Please refer to the screencast:
Screencast: http://www.screencast.com/t/uLfOIYXC8

Environment Info
gist: https://gist.github.com/anonymous/7b7e7a8acc69afdd188b4a81ca296d40

Hence, I am reopened this issue. 

Thanks!
Comment 7 dean.ellis 2016-10-07 11:03:59 UTC
@Kzu @Greg

The AndroidManagedSymbols has been replaced with MonoSymbolArchive 

VS (and XS?) needs to update the templates to reflect this change
Comment 9 xamarin-release-manager 2016-11-25 16:33:45 UTC
Fixed in version 99.1.0.265 (master)

Author: jmt
Commit: 4586442f81d1aa43f9922a32f8fdf240166c40ac (xamarin/XamarinVS)
Comment 10 xamarin-release-manager 2016-11-25 16:34:00 UTC
Fixed in version 4.3.0.395 (cycle9)

Author: jmt
Commit: 4531f65c279d4c3b215383bbe8576d66bf8896a7 (xamarin/XamarinVS)

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.